Welcome to our new developer portal! Use the "Ask" button to chat with our AI Agent.
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Merchant Onboarding

Notify Merchant Update

post

Notify the token requestor about a merchant onboarding update.

In case of retryable error returned by the token requestor, the notification will be resent periodically with exponential backoff.

認可
Authorizationstring必須
ヘッダーパラメータ
authorizationany必須

Technical identifier pre-defined at on-boarding that identifies the API consumer. Format shall be the string 'APIKEY' followed by a space and the api key value. Example: APIKEY c03f88fe-01ba-11e8-ba89-0ed5f89f718b

x-correlation-idany必須

A unique message identifier. It eventually correlates the notification with a request if any. The goal is to help on customer support when needed.

本文
merchantIdstring · 最小: 1 · 最大: 128必須

Identifier of the merchant provided by Thales at on-boarding.

schemestring · enum · 最大: 32必須

The card primary scheme.

Example: VISA可能な値:
trIdstring · 最小: 1 · 最大: 32オプション

The Token Requestor Identifier generated by the scheme for that merchant. In case of Mastercard Secure Card-On-File program, this field is not returned, see 'mcServiceId' instead.

Example: 40000000080
mcServiceIdstring · 最小: 1 · 最大: 256オプション

Token Requestor Id for SCOF solution, equivalent to the TRID. It is assigned by Mastercard to entity for which tokens are created.

lastUpdateTimestampstring · 最大: 64オプション

Last update timestamp compliant with ISO 8601.

Example: 2017-11-13T11:012:41.165Z
レスポンス
204

No Content

コンテンツなし

post/notify-merchant-update
POST /tsh-cof/notify-merchant-update HTTP/1.1
Authorization: Basic username:password
authorization: null
x-correlation-id: null
Content-Type: application/json
Accept: */*
Content-Length: 199

{
  "merchantId": "text",
  "scheme": "VISA",
  "trId": "40000000080",
  "mcServiceId": "text",
  "error": {
    "errorCode": "TSP_NON_RETRYABLE_ERROR",
    "errorDetails": "text"
  },
  "lastUpdateTimestamp": "2017-11-13T11:012:41.165Z"
}

コンテンツなし

最終更新

役に立ちましたか?